diff --git a/web/pgadmin/preferences/static/css/preferences.css b/web/pgadmin/preferences/static/css/preferences.css
index df748bc..2694799 100644
--- a/web/pgadmin/preferences/static/css/preferences.css
+++ b/web/pgadmin/preferences/static/css/preferences.css
@@ -48,3 +48,9 @@ div.pgadmin-preference-body div.ajs-content {
 .preferences_content .pgadmin-controls input[type="checkbox"] {
   margin-left: -20px !important;
 }
+
+.preferences_content .pgadmin-controls .shift,
+.preferences_content .pgadmin-controls .control,
+.preferences_content .pgadmin-controls .alt {
+  margin-left: 15px !important;
+}
diff --git a/web/pgadmin/static/js/backform.pgadmin.js b/web/pgadmin/static/js/backform.pgadmin.js
index bb30259..b1d4487 100644
--- a/web/pgadmin/static/js/backform.pgadmin.js
+++ b/web/pgadmin/static/js/backform.pgadmin.js
@@ -2740,6 +2740,13 @@ define([
         cntr.render();
 
         if(fld['type'] == 'checkbox') {
+          // Remove control label for keyboard shortcuts to
+          // align it properly.
+          let label = cntr.$el.find('label.control-label').text().trim();
+          if (label.length <= 0) {
+            cntr.$el.find('label.control-label').remove();
+          }
+
           if (fld['name'] == 'alt_option') {
             $container.append($('<div class="pg-el-sm-3 pg-el-xs-12"></div>').append(cntr.$el));
           } else {
